Bug 1250993 - The auto attach will pick a improper subscription when there is a better choice.
The auto attach will pick a improper subscription when there is a better choice.
Status: CLOSED NOTABUG
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Filip Nguyen
John Sefler
:
Depends On:
Blocks: rhsm-rhel72
  Show dependency treegraph
 
Reported: 2015-08-06 07:44 EDT by xingge
Modified: 2015-11-11 02:08 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-11 02:08:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
'Attach' fails with a runtime error with subscription-manager-gui-1.15.9-6.el7 (115.92 KB, image/png)
2015-08-26 07:00 EDT, sandeep shedmake
no flags Details

  None (edit)
Description xingge 2015-08-06 07:44:05 EDT
Description of problem:
The auto attach will pick a improper subscription when there is a better choice.

Version-Release number of selected component (if applicable):
subscription-manager-1.15.9-2.el7.x86_64
subscription-manager-gui-1.15.9-2.el7.x86_64
subscription-manager-initial-setup-addon-1.15.9-2.el7.x86_64
python-rhsm-1.15.4-2.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1.auto attach a subscription
[root@dhcp-129-157 ~]# LANG=en subscription-manager attach --auto


Installed Product Current Status:
Product Name: Red Hat Enterprise Linux Server
Status:       Subscribed



2.See the system status
[root@dhcp-129-157 ~]#subscription-manager status
+-------------------------------------------+
   System Status Details
+-------------------------------------------+
Overall Status: Insufficient

Red Hat Enterprise Linux for Virtual Datacenters, Premium (DERIVED SKU):
- Guest has not been reported on any host and is using a temporary unmapped guest subscription.

3.Remove the subscription
[root@dhcp-129-157 ~]#subscription-manager remove --all
1 subscription removed at the server.
1 local certificate has been deleted.

4.Attach a proper subscription that make the system status current.
[root@dhcp-129-157 ~]# subscription-manager attach --pool=8a99f9814eb7128e014ebf827a467776
Successfully attached a subscription for: Red Hat Enterprise Linux Server, Premium (Physical or Virtual Nodes)

[root@dhcp-129-157 ~]# subscription-manager status
+-------------------------------------------+
   System Status Details
+-------------------------------------------+
Overall Status: Current

Actual results:


Expected results:
The auto attach model should pick the subscription that make the system stauts current if there do have this kind of subscription.

Additional info:
Comment 3 sandeep shedmake 2015-08-26 07:00:17 EDT
Created attachment 1067226 [details]
'Attach' fails with a runtime error with subscription-manager-gui-1.15.9-6.el7

Could reproduce this bugzilla with following:

subscription-manager-1.15.9-6.el7.x86_64
subscription-manager-gui-1.15.9-6.el7.x86_64
subscription-manager-initial-setup-addon-1.15.9-6.el7.x86_64
python-rhsm-1.15.4-2.el7.x86_64
Comment 5 Alex Wood 2015-09-24 17:08:08 EDT
All auto-attach calculations are performed on the server side.  Moving to Candlepin product.

Note You need to log in before you can comment on or make changes to this bug.